<template>
  <div>
    <div>
<CModal
      title="Info"
      size="sm"
      :show.sync="smallModal">
      {{ SuccessMsg }}

</CModal>

  
<CCardBody>
    <h5>PPC Schdeule</h5>
    <form class="form-inline">
    <h6> Dual    </h6>
  <div class="form-group mx-sm-2 mb-2">
    
    <label for="Dual" class="sr-only" id="Dual">Dual</label>
    <select class="form-control" v-model="searchdata.dualid" @change="getAllProduction();getAllStorageLocDetails();">
    <!-- <option value= "Select Material Type" selected disabled>Select Material Type</option> -->
    <option v-for="wcitem in wcitems" :value="wcitem.workCent_Id" :key="wcitem.workCent_Id">{{wcitem.workCent_Name}} </option>
  </select>
          <!-- <select class="form-control form-control-sm" id="Dual"  v-model="searchdata.dualid"  @change="getAllProduction();"><option value="1" >Dual1</option> <option value="4">Dual2</option></select> -->
    <!-- <input type="text" readonly class="form-control-plaintext" id="staticEmail2" value="email@example.com"> -->
  </div>  
   <h6> Shift</h6>
  <div class="form-group mx-sm-2 mb-2">
    
    <label for="shift" class="sr-only" id="shift">Shift</label>
          <select class="form-control form-control-sm" id="shiftid"  v-model="searchdata.shiftid"  @change="getAllProduction()"><option value="CurrentShift" >CurrentShift</option> <option value="PreviousShift">PreviousShift</option></select>
    <!-- <input type="text" readonly class="form-control-plaintext" id="staticEmail2" value="email@example.com"> -->
  </div>  
  
  
   <!-- <CButton size="sm" color="dark" class="ml-1" @click="getAllProduction()"> Search </CButton> -->
  
</form>
    <CDataTable
    
      :items="items"      
      :fields="fields"
      table-filter
      items-per-page-select
      :items-per-page="10"
     
      pagination
      hover
      striped
      border
     
      
     >
   
<!--Adding Customs buttons to each row -->
       <template #show_details="{item}" >      
      <CButton size="sm" color="dark" class="ml-1" @click="SelectEntry(item); "> Select</CButton>
      <!-- <CButton size="sm" color="danger" class="ml-1" @click="ShowDeleteModal=true; SelectEntry(item)" getMHEForDual(); >Delete</CButton> -->
    
    </template>

    </CDataTable>
    
  </CCardBody>

 </div>


<!-- Show Details Modal -->
<div id="overlay" v-if="ShowDetailModal">
<div class="modal-dialog  modal-lg" >
<div class="modal-content">
  <div class="modal-header">
    <h5 class="modal-title">Production Details</h5>
    <button type="button" class="close"  @click="ShowDetailModal=false; ">
    <span aria-hidden="true">&times;</span>
    </button>
  </div>
<div class="modal-body modal-lg">

<form >

  <div>
     
    <CRow>
       <CCol sm="2" > Item Code</CCol>
      <CCol sm="3">
        <CInput
          readonly
          v-model = this.CurrentEntry.ext_Code
        />
      </CCol>
      <CCol sm="2" >  Color Code</CCol>
      <CCol sm="3">
        <CInput
         readonly
         v-model = this.CurrentEntry.size_Code
        />
      </CCol>
    </CRow>
       
    <CRow>
      <CCol sm="2" > Date</CCol>
      <CCol sm="3">
        <CInput
          readonly
           v-model   = this.Current_ShiftEntry.Current_Date 
           
        />
      </CCol>
      <CCol sm="2" >Shift</CCol>
         <CCol sm="2">
        <CInput
          readonly
      
          v-model = this.Current_ShiftEntry.Current_Shift 
        />
      </CCol>
    </CRow>
    <CRow>
   
       <CCol sm="2" > Operator</CCol>
      <CCol sm="3">
        <CInput
         readonly
        placeholder="654321"
          v-model = CurrentEntry.crewDetails
        />
      </CCol>       <CCol sm="2" >Booker No</CCol>
        <CCol sm="3">
         <CInput          
         
           v-model = CurrentEntry.remarks
           placeholder = 0
        />
        </CCol>
             
    </CRow>
 
    <CRow>
   
         <CCol sm="2" > Leaf Truck</CCol>
         
        <div v-if="!issw()">
         <CCol >
           <CRow>
              <CCol sm="5"><CInput  v-model = this.CurrentEntry.mhename /> </CCol>
               <CCol sm="4"> <CButton size="sm" color="warning" class="ml-1" @click="getMHEForDual();">Ref</CButton> </CCol>
               
          </CRow>
         </CCol>
        </div>

         <div v-if="issw()">
            <CCol >
              <CRow>
              <CCol sm="5">  <select class="form-control" v-model="CurrentEntry.mhename"  >   
                <option v-for="item in mheitems" :value="item.mhE_Id" :key="item.mhE_Id">{{ item.mhE_Name }}</option>
           </select></CCol>
          <CCol sm="5"><select class="form-control" v-model="CurrentEntry.storage_Loc_Id"  >   
              <option v-for="switem in swlocitems" :value="switem.storage_Loc_Id" :key="switem.storage_Loc_Id">{{ switem.storage_Loc_Name }}</option>
           </select>  </CCol>
                </CRow>
            </CCol>
           </div>
           
  
        
       <CCol sm="1" >TruckNo</CCol>
       <CCol sm="2">
        <CInput
        
           v-model = CurrentEntry.truckNumber
            placeholder = 0
        />
      </CCol>
      <CCol sm="1" >Quantity</CCol>
      <CCol sm="1">

        <CInput
          
           v-model = CurrentEntry.quantity
            placeholder = 0
        />
        </CCol>
        </CRow>
        <CRow>
     
  </CRow>
    <CListGroupItem href="#" color="secondary">
   <CRow>
       
        <CCol sm="2" >Hold Reason</CCol>
        <CCol sm="3">
         <select class="form-control" v-model="CurrentEntry.hold_Reason_Id" placeholder="Tread" >   
    <option v-for="item in Reasonitems" :value="item.hold_Reason_Id" :key="item.hold_Reason">{{ item.hold_Reason }} </option>
       </select>

      </CCol>
      
         <CCol sm="2">
        <CButton size="sm" color="warning" class="ml-1" @click="SelectEntry(CurrentEntry); ValidateHoldReason(); ">Hold Print</CButton>
         </CCol>
          
    <!-- <CCol sm="2">
         <CButton size="sm" color="danger" class="ml-1" @click=" ShowDeleteAlert= true;  ShowDetailModal=false;  SelectEntry(CurrentEntry);"> Delete </CButton>
       </CCol> -->
        <CCol sm="2">
           <CButton size="sm" color="success" class="ml-1" @click="SelectEntry(CurrentEntry);ValidateTruckNumberquantity();"> Print Tag </CButton>
      
      </CCol>
     
    </CRow>
     </CListGroupItem> 
  </div>
</form>
</div>
</div>
</div>
</div>

<!-- Alert hold Modal -->
<div id="overlay" v-if="ShowHoldAlert">
<div class="modal-dialog">

<div class="modal-content">
  <div class="modal-header">

    <h5 class="modal-title">Adding to Hold</h5>
    <button type="button" class="close"  @click="ShowHoldAlert=false; ShowDetailModal=true;">
    <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body p-4">
<h4 class="text-danger"> Are you sure want to add to hold ? </h4>
<h5> You are adding {{this.CurrentEntry.ext_Code +' || '+ this.CurrentEntry.size_Code}} to Hold</h5>
<hr>
<button class="btn btn-danger btn-lg" @click="ShowHoldAlert=false; AddToProduction(1); ShowDetailModal=true; "> Yes </button>
&nbsp;&nbsp;&nbsp;&nbsp;  
<button class="btn btn-success btn-lg" @click="ShowHoldAlert=false ;ShowDetailModal=true;"> No </button>
</div>
</div>
</div>
</div>

<!-- Alert Delete Modal -->
<div id="overlay" v-if="ShowDeleteAlert">
<div class="modal-dialog">

<div class="modal-content">
  <div class="modal-header">

    <h5 class="modal-title">Delete</h5>
    <button type="button" class="close"  @click="ShowDeleteAlert=false; ShowDetailModal=true;">
    <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body p-4">
<h4 class="text-danger"> Are you sure want to delete ? </h4>
<h5> You are deleting schdeule for Tread Code{{this.CurrentEntry.ext_Code +' || Color Code: '+ this.CurrentEntry.size_Code +' ||Quantity : '+ this.CurrentEntry.quantity +' || Priority :'+ this.CurrentEntry.priority  +' || Schedule :'+ this.CurrentEntry.sch_value  }}</h5>
<hr>
<button class="btn btn-danger btn-lg" @click="ShowDeleteAlert=false; AddToProduction(2);   "> Yes </button>
&nbsp;&nbsp;&nbsp;&nbsp;  
<button class="btn btn-success btn-lg" @click="ShowDeleteAlert=false ;ShowDetailModal=true;"> No </button>
</div>
</div>
</div>
</div>

</div>
</template>
<script>

   const items = [
  //{ key: ' production_Id' , label: 'Id',},
  { key: 'ext_Code' , label: 'Code',},
  { key: 'priority_No', label: 'Priority No' },
  { key: 'size_Code',  label: 'Color Code' },  
  { key: 'sch_value', label: 'Schedule' },          
  { key: 'show_details',  label: '',  _style: 'width:30%', },

 ] 
 const apigetsw =  'Trace_Storage_Location_Master/'
 const apiwcurl =  'Trace_WorkCenter_Master/'
 const apiurl =  'Trace_Production/'
 const apitag =  'Trace_Tag_Generation/'
 const apihold =  'Trace_Hold/'
 const apiget =  'Trace_Production/'
 const apiholdreason =  'Trace_Hold_Reasons/'
//import CTableWrapper from '.@/Table.vue' 
import Vue from 'vue'
import axios from 'axios'
import VUEAxios from 'vue-axios'

Vue.use(VUEAxios,axios)

export default {
 
  data ()
  {
    return {
    ShowDetailModal : "",
    items: items.map((item, id) => { return {...item, id}}),
  // CurrentdeleteEntry : CurrentdeleteEntry[0],
    fields: [
     // { key: ' production_Id' , label: 'Id',},
              { key: 'ext_Code' , label: 'Code',},     
              { key: 'comp_Code' , label: 'Description',}   ,      
              { key: 'priority_No', label: 'Priority No' },
              { key: 'size_Code',  label: 'Color Code' },  
              { key: 'sch_value', label: 'Schedule' },          
              { key: 'show_details',  label: '',  _style: 'width:30%', },
      ],
  Reasonitems:"",
  ShowHoldAlert:"",
  ShowDeleteAlert:"",
  ShowRevertDeleteAlert:"",
  errMsg:"",
  SuccessMsg:"",
  ShowAddModal:"",
  ShowDeleteModal:"",
  newEntry:"",
  CurrentEntry:{
  production_Id: 0,
  material_Id: 0,
  workCent_Id: 0,
  workCenterName: "",
  prod_Date: "",
  prod_Time: "",
  crewDetails: "",
  additionalFields: "",
  remarks: "",
  quantity: 0,
  unit_Of_Measurement: "number",
  mhE_Id: 1,
  mhename:"",
   mheitems:"",
  barcode_Id: 0,
  shift_Id: 0,
  status: 1,
  ageing_Time: "",
  deleted_Time: "",
  material_Code: "",  
  currentAge: "",
  reverted_time: "",
  colorCode: "",
  shift: "",
  priority: 0,
  size_Code: "",
  schedule: 0,
  truckNumber: 0,
  ageStatus: "",
  prod_Status: 0,
  extcode:"",
  comp_Code:"",
  locSW:"",
  swlocitems:"",
holdReasonId:0,
holdreason :"",
storage_Loc_Id:""

},

wcitems:[],
wcname:"",
 mheitemsn:[],
  mheitemname:"",
 // CurrentdeleteEntry:"",
  ShowUpdateModal:"",
  smallModal: false,
  newTag:{inv_TransId : 0,   tagId: 0, productionId:0, location_Id: 0,  printer_Name: "",  printer_Ip: "",  printed_DateTime: "",  module_Name: " ", barcodeId:0, user_Id: 0, no_Of_Copies:1, print_Status: 1,tagDetails: {}},
  newHoldEntry: {hold_Id: 0,production_ID:0,hold_Reason_Id:0,hold_By:"",hold_Time:"",barcodeid:0,hold_Date:"",Hold_Status:0},
  searchdata: { dualid:"",shiftid:""},
  Current_ShiftEntry:{Current_Date: new Date().toISOString().slice(0,10),Current_Shift:"" ,Current_ShiftId :0},
  Barcode :"",
  BarcodeId :0,
  holdreason:[],
  holdreasonName:"",
  ShowDeleteModal1:"",
 
  }
  
  },


  mounted()
  {
    //alert("")
  this.getAllReasonitemsDetails();
   this.getAllWorkCentreDetails();
  this.getAllMHEDetails();
 //this.getAllStorageLocDetails();
  },

  methods:
  {
 
Fncurrentshift()
{
          
           var Current_Shift
           
           var curTime = new Date().toTimeString('HHmmss')         
           var ShiftA = "06:01:00"           
           var ShiftB = "14:01:00"
           var ShiftC = "22:01:00"
           var EndDayTime ="23:59:55"
           var NextDayStartTime = "12:00:00"
       
            if (curTime >= ShiftA && curTime < ShiftB)
            { Current_Shift = "A";      this.Current_ShiftEntry.CurrentShiftId = 1;}
            else if (curTime >= ShiftB && curTime < ShiftC)
            { Current_Shift = "B";      this.Current_ShiftEntry.CurrentShiftId  = 2;}
            else if (curTime >= ShiftC && curTime <= EndDayTime)
            { Current_Shift = "C";      this.Current_ShiftEntry.CurrentShiftId  = 3;}
            else if (curTime >= NextDayStartTime && curTime < ShiftA)
            { Current_Shift = "C";  this.Current_ShiftEntry.CurrentShiftId  = 3;}
            else
            { Current_Shift = "G"; this.Current_ShiftEntry.CurrentShiftId  = 4; }
              
            return Current_Shift;
            
},

getAllWorkCentreDetails: function()
   {

   Vue.axios.get(this.$url + apiwcurl)
    .then((response)=>{
    if(response.data.error)
       {
         this.errMsg=response.data.message;
       }
    else
       {
      
        this.wcitems = response.data.filter(x => x.status == 1);
       // this.subitems = response.data.fgS_FIFO_WorkCentre_Type_Master;

       }
    });
   },
   getAllStorageLocDetails: function()
   {

   Vue.axios.get(this.$url+ apigetsw )
    .then((response)=>{
    if(response.data.error)
       {
         this.errMsg=response.data.message;
       }
    else
       {
        // alert(this.searchdata.dualid)
        this.swlocitems = response.data.filter(x => x.storage_Loc_Status == 1 && x.workCent_Id == this.searchdata.dualid);
       console.log(response.data)
       // this.subitems = response.data.fgS_FIFO_StorageLoc_Type_Master;

       }
    });
   },

  getAllMHEDetails: function()
   {

   Vue.axios.get(this.$url+ 'Trace_MHE_Master/')
    .then((response)=>{
    if(response.data.error)
       {
         this.errMsg=response.data.message;
       }
    else
       {
        this.mheitems =response.data.filter(x => x.mhE_Status == 0 && x.status == 1 && x.mhE_Type == "SW");
      

       }
    });
   },

getAllProduction()
{
  

  var did= this.searchdata.dualid;
  var shiftid= this.searchdata.shiftid;
if(did=="")
{  
//   wait for user input
}
else if (shiftid =="")
{
//     wait for user input
}
else{
   //alert(this.$url + apiurl + did +'/'+ shiftid +'/'+  new Date().toDateString('YYYYMMDD'));
     Vue.axios.get(this.$url + apiurl + did +'/'+ shiftid)// +'/'+ new Date().toDateString('YYYYMMDD') )
    .then((response)=>{
    if(response.data.error)
       {
       this.errMsg=response.data.message;
       }
    else if(response.data.length == 0)
     {
     this.SuccessMsg = "No leaf truck"
      this.smallModal = true;
     }
    else
      {
        this.items = response.data;
     // console.log(this.items);
       }
    });
}
},

ValidateHoldReason()
{


   if(this.CurrentEntry.mhename == " " || this.CurrentEntry.mhename == "No leaf truck")
  {
    this.SuccessMsg = "Please check Leaf Truck";
    this.smallModal =  true;
    this.ShowDetailModal = true;
  }

 if (this.CurrentEntry.ext_Code.includes("SW"))
 {
    if(this.CurrentEntry.location_Id <=1 )
    {
      this.SuccessMsg = "Please select location";
    this.smallModal =  true;
    this.ShowDetailModal = true;
    }


 }

  if( this.CurrentEntry.remarks == null)
  {
    this.SuccessMsg = "Enter 6 digit Booker Id";
    this.smallModal =  true;
    this.ShowDetailModal = true;
  }
  if(this.CurrentEntry.remarks != null && this.CurrentEntry.remarks.length != 6) 
  {
    this.SuccessMsg = "Enter 6 digit Booker Id";
    this.smallModal =  true;
    this.ShowDetailModal = true;
  }


  if(this.CurrentEntry.truckNumber == null )
  {

  this.SuccessMsg = "Truck Number Cannot Be zero";
  this.smallModal =  true;
  this.ShowDetailModal = true;
  }
  if( this.CurrentEntry.quantity == null)
  {
   this.SuccessMsg = "Quantity Cannot Be zero";
   this.smallModal =  true;
   this.ShowDetailModal = true;
  }
   if(this.CurrentEntry.hold_Reason_Id == null )
  {
   this.SuccessMsg = "Please select a Hold Reason";
   this.smallModal =  true;
   this.ShowDetailModal = true;
  }
  if(this.CurrentEntry.hold_Reason_Id >= 1 && this.CurrentEntry.truckNumber >= 1 && this.CurrentEntry.quantity >= 1 && this.CurrentEntry.remarks.length == 6)
  {
    
    this.ShowHoldAlert = true;
  }
 
 

},


ValidateTruckNumberquantity()
{
 

  // alert(this.CurrentEntry.mhename )
  if(this.CurrentEntry.mhename == null || this.CurrentEntry.mhename == "" || this.CurrentEntry.mhename == undefined && this.CurrentEntry.mhename.length == 13 )
  {
    this.SuccessMsg = "No leaf truck Selected";
    this.smallModal =  true;
    this.ShowDetailModal = true;
  }

   if (this.CurrentEntry.ext_Code.includes("SW"))
 {
  
    if(this.CurrentEntry.location_Id <= 1)
    {
     this.SuccessMsg = "Please select location";
     this.smallModal =  true;
     this.ShowDetailModal = true;
    }
 }
   if( this.CurrentEntry.remarks == null)
  {
    this.SuccessMsg = "Enter 6 digit Booker Id";
    this.smallModal =  true;
    this.ShowDetailModal = true;
  }
  if(this.CurrentEntry.remarks != null && this.CurrentEntry.remarks.length != 6) 
  {
    this.SuccessMsg = "Enter 6 digit Booker Id";
    this.smallModal =  true;
    this.ShowDetailModal = true;
  }

   if(this.CurrentEntry.truckNumber == null )
  {

  this.SuccessMsg = "Truck Number Cannot Be zero";
  this.smallModal =  true;
  this.ShowDetailModal = true;
  }
  if( this.CurrentEntry.quantity == null)
  {
   this.SuccessMsg = "Quantity Cannot Be zero";
   this.smallModal =  true;
   this.ShowDetailModal = true;
  }
  //alert(this.CurrentEntry.truckNumber +"/"+ this.CurrentEntry.quantity  +"/"+ this.CurrentEntry.remarks.length  +"/"+  this.CurrentEntry.mheID)
  if(this.CurrentEntry.truckNumber >= 1 && this.CurrentEntry.quantity >= 1 && this.CurrentEntry.remarks.length == 6 &&  this.CurrentEntry.mhename != null) 
  {
    
    this.AddToProduction(3) ;
    
  }
},

//Reasons
 getAllReasonitemsDetails: function()
   {

   Vue.axios.get(this.$url+apiholdreason)
    .then((response)=>{
    if(response.data.error)
       {
         this.errMsg=response.data.message;
       }
    else
       {
       
        this.Reasonitems = response.data.filter(x => x.hold_Reason_status == 1);     

       }
    });
   },
   
  
  addToHold(barcode)
  {
    
     this.newHoldEntry.production_ID =  this.CurrentEntry.production_Id,
     this.newHoldEntry.hold_Reason_Id = this.CurrentEntry.hold_Reason_Id,
     this.newHoldEntry.hold_By =this.CurrentEntry.crewDetails,
     this.newHoldEntry.hold_Time = new Date().toLocaleTimeString() ,
     this.newHoldEntry.hold_Date = new Date().toISOString().slice(0,10),
     this.newHoldEntry.barcodeid= barcode,
    //alert("Inside hold bcode" + barcode + "/"+  this.newHoldEntry.barcodeid )
    Vue.axios.post(this.$url+ apihold,this.newHoldEntry).then((response)=>{
      
       if(response.data.error)
       {
          alert('Data Error')
       }
       else
       {
       this.SuccessMsg ="Tag Printing in progress..",
       this.smallModal = true;
       this.ShowDetailsModal = true;

        this.CurrentEntry.quantity = 0;
        this.CurrentEntry.truckNumber = 0;
             //this.CurrentEntry.mhE_Id =0;
        
       }
    })
   

   },
  
AddToProduction(status)
{
 

  this.CurrentEntry.prod_Status = status;
  this.CurrentEntry.material_Code =  this.CurrentEntry.ext_Code,
  this.CurrentEntry.colorCode = this.CurrentEntry.size_Code,
  this.CurrentEntry.prod_Time = new Date().toLocaleTimeString() ,
  this.CurrentEntry.prod_Date = this.Current_ShiftEntry.Current_Date,
  this.CurrentEntry.mhE_Id =  this.CurrentEntry.mhE_Id;

  this.CurrentEntry.shift_Id =  this.Current_ShiftEntry.CurrentShiftId,
  this.CurrentEntry.workCent_Id = this.searchdata.dualid;
  this.CurrentEntry.priority =  this.CurrentEntry.priority_No;
  this.CurrentEntry.schedule =  this.CurrentEntry.sch_value;
  this.CurrentEntry.crewDetails = 654321;
  this.CurrentEntry.holdReasonId = this.CurrentEntry.hold_Reason_Id,
 this.CurrentEntry.locSW = this.CurrentEntry.storage_Loc_Id,
 this.wcname = this.wcitems.filter(x => x.workCent_Id == this.searchdata.dualid); 
 this.CurrentEntry.shift = this.Current_ShiftEntry.Current_Shift;

 this.CurrentEntry.workCenterName = this.wcname[0].workCent_Name;
 


//   if(this.CurrentEntry.ext_Code.includes("SW"))
//   {
//  this.mheitemsn = this.mheitems.filter(x => x.mhE_Id ==  this.CurrentEntry.mHE_Id),
//   this.mheitemname =  this.mheitemsn[0].mhE_Name;
//  this.CurrentEntry.mhename =   this.mheitemname ;
//   }



    if(status == 1)
    {
      this.newTag.module_Name = "DUALHOLD"
      this.holdreason = this.Reasonitems.filter(x => x.hold_Reason_Id == this.CurrentEntry.hold_Reason_Id); 
      this.holdreasonName = this.holdreason[0].hold_Reason;
      this.CurrentEntry.holdreason = this.holdreasonName;
     
    }
    else if (status == 3)
    {
      this.newTag.module_Name= "DUALOK"
    }
  // if(status == 2)
  // {
    
  //  this.CurrentEntry.deleted_Time = new Date().toLocaleTimeString(),
  //  this.CurrentEntry.prod_Time = new Date();
  //  this.ShowDeleteModal = false;
  //  this.SuccessMsg ="Entry Deleted..",
  //  this.smallModal = true;

  // };
  Vue.axios.post(this.$url+ apiget,this.CurrentEntry).then((response)=>{
      
       if(response.data.error)
       {
          alert('Data Error')
       }
       else if(response.data == "1")
       {
         
       this.SuccessMsg = "Tag generation already done for Leaf Truck "
       this.smallModal = true;

       }
       else
       {

       this.SuccessMsg ="Tag Printing in progress..",
       this.smallModal = true;
       this.ShowDetailsModal = true;

        this.CurrentEntry.quantity = 0;
        this.CurrentEntry.truckNumber = 0;
       // this.CurrentEntry.mhE_Id =0;
       }
    })
 
 

},

 SelectEntry(Entry)
  {
     this.CurrentEntry = Entry;
     this.Current_ShiftEntry.Current_Shift = this.Fncurrentshift();
     
      if (this.CurrentEntry.ext_Code.includes("TR"))
      {
       
       this.getMHEForDual();
      }
      else
      {
       this.ShowDetailModal = true;
      }
      ///alert(this.CurrentEntry.mhename)
     // this.getMHEForDual();
  },


 getMHEForDual()
  {
    
   this.ShowDetailModal = false;
  // alert(this.$url + apiurl + 'Get_MHE_For_Dual/' + this.searchdata.dualid)
    Vue.axios.get(this.$url + apiurl + 'Get_MHE_For_Dual/' + this.searchdata.dualid )
    .then((response)=>{
       if(response.data.error)
       {
        this.errMsg=response.data.message;
       }
    else if(response.data.length == 0)
     {
      this.ShowDetailModal = false;
     this.SuccessMsg = "No Leaf Truck"
     this.smallModal = true;
     }
     else if(response.data.length == 13)
     {
       //alert(response.data.length)
    this.ShowDetailModal = false;
    this.SuccessMsg = "No Leaf Truck"
     this.smallModal = true;
     }
    else
   {
       //  this.CurrentEntry.quantity = 0;
    // this.CurrentEntry.truckNumber = 0;
     this.CurrentEntry.mhename =  response.data;
    //  alert(this.CurrentEntry.mhename);
    // alert(this.CurrentEntry.truckNumber)
     this.ShowDetailModal = true;
     }
    });

},
 
    
 issw()
  {
     
      if (this.CurrentEntry.ext_Code.includes("SW"))
      {  return true;   }
      else 
      {  return false;  }
    },
 
 
 
 },
     
 }
  
</script>

<style scoped>
#overlay{
  position:absolute;
  top:100px;
  bottom:0;
  left:0;
  right:0;
  background:rgba(0,0,0,0.6);
}

</style>
